/**
 *  LogarithmPlotter - 2D plotter software to make BODE plots, sequences and distribution functions.
 *  Copyright (C) 2021-2024  Ad5001
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import * as fs from "./mock/fs.mjs"
import Qt from "./mock/qt.mjs"
import { MockHelper } from "./mock/helper.mjs"
import { MockLatex } from "./mock/latex.mjs"

import { use } from "chai"
import spies from "chai-spies"

function setup() {
    const { spy } = use(spies)

    globalThis.Helper = new MockHelper()
    globalThis.Latex = new MockLatex()
    globalThis.chaiPlugins = { spy }
}

setup()
